@Echo OFF

cd %~dp0
echo Traitement superview pour DJI O3
echo.
echo Rappel : 
echo 	- il est recommande d'utiliser des fichiers source en 2.7K (4/3) (2688x2016)
echo 	- Le fichier SUPERVIEW_O3_CUDA.bat (et ses dependances) doit etre dans le repertoire des fichiers a traiter
echo.
echo Controle des pre-requis logiciels...
if not exist "ffmpeg.exe" (
	echo "ffmpeg.exe est manquant dans le repertoire"
	pause
	exit)
if not exist "ffprobe.exe" (
	echo "ffprobe.exe est manquant dans le repertoire"
	pause
	exit)
if not exist "superview-cli-windows-amd64-v0.10.exe" (
	echo "superview-cli-windows-amd64-v0.10.exe est manquant dans le repertoire"
	pause
	exit)
echo OK
echo.
	
echo Repertoire de destination : superview
echo.
if not exist "superview" mkdir superview	

SET source=
SET /p source=Appuyer sur [ENTER] pour traiter tous les fichiers mp4 du repertoire ou indiquer le NOM du fichier a traiter (ex : wearefpv.mp4) puis [ENTER] : 

if exist "output.mp4" del output.mp4

if "%source%" == "" (
	for %%f in (.\*.mp4) do (
	ffmpeg -y -vsync 0 -hwaccel cuda -hwaccel_output_format cuda -i %%f -c:a copy -c:v h264_nvenc -b:v 125M output.mp4
	rem ffmpeg -y -i %%f -vf scale=2000:1500 -crf 15 output.mp4
	superview-cli-windows-amd64-v0.10.exe -i output.mp4 -o .\superview\superview_%%~nxf)
) else (
	ffmpeg -y -vsync 0 -hwaccel cuda -hwaccel_output_format cuda -i %source% -c:a copy -c:v h264_nvenc -b:v 125M output.mp4
	rem ffmpeg -y -i %source% -vf scale=2000:1500 -crf 15 output.mp4
	superview-cli-windows-amd64-v0.10.exe -i output.mp4 -o  .\superview\superview_%source%)

echo Nettoyage des fichiers temporaires...
if exist "x.pgm" del x.pgm
if exist "y.pgm" del y.pgm
if exist "output.mp4" del output.mp4

echo Done.
pause